Skip to main content
GET
/
indexer
/
tx
/
v1
/
evm-internal-txs
/
by_account
/
{account}
Get EVM internal transactions by account
curl --request GET \
  --url https://rollytics-api-evm-1.anvil.asia-southeast.initia.xyz/indexer/tx/v1/evm-internal-txs/by_account/{account}
{
  "internal_txs": [
    {
      "height": 123,
      "hash": "<string>",
      "parent_index": 123,
      "index": 123,
      "type": "<string>",
      "from": "<string>",
      "to": "<string>",
      "input": "<string>",
      "output": "<string>",
      "value": "<string>",
      "gas": "<string>",
      "gasUsed": "<string>"
    }
  ],
  "pagination": {
    "previous_key": "<string>",
    "next_key": "<string>",
    "total": "<string>"
  }
}

Path Parameters

account
string
required

The account address.

Query Parameters

pagination.key
string

Cursor key for pagination.

pagination.offset
integer

Number of records to skip.

pagination.limit
integer
default:100

Maximum number of records to return. Defaults to 100.

pagination.count_total
boolean
default:true

Whether to return the total count. Defaults to true.

pagination.reverse
boolean
default:true

When true, returns results in descending order. Defaults to true.

Response

Successful response

internal_txs
object[]
pagination
object

Pagination metadata for list responses.